Skip to content
GET /unified/file-storage/version_history/{id}

Path Parameters

idstring
required·

The ID of the resource.

Example: 23423523

Query Parameters

Refer Specifying query parameters in Truto APIs

drive_itemobject

The drive item the version is associated with

2 supported2 required2 notes
Google Drive
required

The unique identifier of the drive item the version belongs to

OneDrive
required

The drive item the version belongs to

idstring
required·

The unique identifier of the drive item

driveobject

The drive that contains the drive item the version belongs to

1 supported1 required
OneDrive
required
idstring
required·

The unique identifier of the drive

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
  • debug returns the final unified result alongside raw remote fetch information. The response is an envelope containing result (identical to unified mode output) and debug (with requestUrl, requestOptions, data, responseHeaders, and for list operations: nextCursor, isLooping, isEmptyResult, resultCount). debug is null for static responses or when truto_skip_api_call=true.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstreamdebug
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

idstring
required·

The unique identifier for a version

2 supported
Google Drive
supported
OneDrive
supported
checksumobject

The checksum of this version

1 supported
Google Drive
supported
typestring

The checksum type

valuestring

The checksum value

created_atstring · date-time

The date and time the version was created

2 supported
Google Drive
supported
OneDrive
supported
creatorobject

The user who created this version

2 supported
Google Drive
supported
OneDrive
supported
emailsobject[]

The emails of the user

3 properties
emailstring

The email address

is_primaryboolean

Whether the email address is primary

typestring

The type of email address

idstring

The unique identifier for a user

namestring

The name of the user

descriptionstring

The description, note, or change comment associated with this version

download_urlstring

The URL to download this version

1 supported
OneDrive
supported
drive_itemobject

The drive item the version is associated with

2 supported
Google Drive
supported
OneDrive
supported
idstring

The unique identifier for a drive item

namestring

The name of the drive item

typestring

The type of the drive item

Possible values:
filefolder
is_currentboolean

Whether this version is the current version

is_retainedboolean

Whether this version is retained from automatic deletion

1 supported
Google Drive
supported
mime_typestring

The mime type of this version

1 supported
Google Drive
supported
namestring

The name of the drive item for this version

2 supported
Google Drive
supported
OneDrive
supported
remote_dataRecord<string, any>

Raw data returned from the remote API call.

sizeinteger

The size of this version

2 supported
Google Drive
supported
OneDrive
supported
statusstring

The status of the version

2 supported
Google Drive
supported
OneDrive
supported
updated_atstring · date-time

The date and time the version was last updated

2 supported
Google Drive
supported
OneDrive
supported
version_numberstring

The version number or label

2 supported
Google Drive
supported
OneDrive
supported
truto unified file-storage versionhistory '<resource_id>' \
  -m get \
  -a '<integrated_account_id>' \
  -o json
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.get(
  'file-storage',
  'versionhistory',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.get(
        "file-storage",
        "versionhistory",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())
curl -X GET 'https://api.truto.one/unified/file-storage/version_history/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/file-storage/version_history/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/file-storage/version_history/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())